Package org.gradle.api.file

## Interface ArchiveOperations

-     public interface ArchiveOperations

  Operations on archives such as ZIP or TAR files.

  An instance of this type can be injected into a task, plugin or other object by annotating a public constructor or property getter method with `javax.inject.Inject`.

  Since:
    6.6

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ReadableResource` | `bzip2​(Object path)` | Creates resource that points to a bzip2 compressed file at the given path.
    `ReadableResource` | `gzip​(Object path)` | Creates resource that points to a gzip compressed file at the given path.
    `FileTree` | `tarTree​(Object tarPath)` | Creates a read-only `FileTree` which contains the contents of the given TAR file, as defined by `Project.tarTree(Object)`.
    `FileTree` | `zipTree​(Object zipPath)` | Creates a read-only `FileTree` which contains the contents of the given ZIP file, as defined by `Project.zipTree(Object)`.

- - ### Method Detail

    - #### gzip

          ReadableResource gzip​(Object path)

      Creates resource that points to a gzip compressed file at the given path. The path is evaluated as per `Project.file(Object)`.
      Parameters:
        `path` - The path evaluated as per `Project.file(Object)`.
      Since:
        7.0

    - #### bzip2

          ReadableResource bzip2​(Object path)

      Creates resource that points to a bzip2 compressed file at the given path. The path is evaluated as per `Project.file(Object)`.
      Parameters:
        `path` - The path evaluated as per `Project.file(Object)`.
      Since:
        7.0

    - #### zipTree

          FileTree zipTree​(Object zipPath)

      Creates a read-only `FileTree` which contains the contents of the given ZIP file, as defined by `Project.zipTree(Object)`.

      Parameters:
        `zipPath` - The ZIP file. Evaluated as per `Project.file(Object)`.
      Returns:
        the file tree. Never returns null.

    - #### tarTree

          FileTree tarTree​(Object tarPath)

      Creates a read-only `FileTree` which contains the contents of the given TAR file, as defined by `Project.tarTree(Object)`.

      Parameters:
        `tarPath` - The TAR file. Evaluated as per `Project.file(Object)`.
      Returns:
        the file tree. Never returns null.